/* CSS Document */
#mainContent .loadMore {
  font-family: var(--italicFS);
  text-align: center;
  margin-bottom: 0;
  position: relative;
  z-index: 10;
}
#mainContent .loadMore a {
  display: block;
  padding: 20px var(--padding);
  background-color: white;
  position: relative;
  font-size: 0.9em;
}
#mainContent .loadMore.withLine {
  border-top: solid 1px var(--grey);
}
#mainContent #weddings {
  max-width: 1180px;
}
#mainContent #weddings .featuredWeddings {
  margin-top: 20px;
}
#mainContent #weddings .featuredWeddings .article {
  width: 280px;
  margin-right: 20px;
  margin-bottom: var(--padding);
  transition-property: none;
}
#mainContent #weddings .featuredWeddings .article .imageSwitch {
  margin-bottom: 12px;
  position: relative;
}
#mainContent #weddings .featuredWeddings .article .imageSwitch img:first-child {
  position: relative;
  z-index: 10;
  transition: opacity 0.2s cubic-bezier(0.455, 0.03, 0.515, 0.955);
}
#mainContent #weddings .featuredWeddings .article .imageSwitch img:last-child {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
}
#mainContent #weddings .featuredWeddings .article .imageSwitch:hover img:first-child, #mainContent #weddings .featuredWeddings .article .imageSwitch:active img:first-child {
  opacity: 0;
}
#mainContent #weddings .featuredWeddings .article .text .subHeader {
  text-wrap: balance;
}
#mainContent #weddings .featuredWeddings .article:nth-child(4n+0) {
  margin-right: 0;
}

/********* end layout *********/
/********* responsive *********/
@media (min-width: 1580px) {
  #mainContent #weddings {
    max-width: 1480px;
  }
  #mainContent #weddings .featuredWeddings .article:nth-child(4n+0) {
    margin-right: 20px;
  }
  #mainContent #weddings .featuredWeddings .article:nth-child(5n+0) {
    margin-right: 0;
  }
}
@media (min-width: 1880px) {
  #mainContent #weddings {
    max-width: 1780px;
  }
  #mainContent #weddings .featuredWeddings .article:nth-child(4n+0) {
    margin-right: 20px;
  }
  #mainContent #weddings .featuredWeddings .article:nth-child(5n+0) {
    margin-right: 20px;
  }
  #mainContent #weddings .featuredWeddings .article:nth-child(6n+0) {
    margin-right: 0;
  }
}
@media (max-width: 1280px) {
  #mainContent #weddings .featuredWeddings .article {
    width: 23.73%;
    margin-right: 1.6933%;
  }
}
@media (max-width: 768px) {
  #mainContent #weddings .flex:has(+ .featuredWeddings) {
    display: block;
  }
  #mainContent #weddings .flex:has(+ .featuredWeddings) > *:last-child {
    padding: 14px 0 0 !important;
    margin: 0;
  }
  #mainContent #weddings .featuredWeddings .article {
    width: 48%;
    margin-right: 4%;
  }
  #mainContent #weddings .featuredWeddings .article:nth-child(2n+0) {
    margin-right: 0;
  }
}
@media (max-width: 480px) {
  #mainContent #weddings .featuredWeddings .article {
    font-size: 83.5%;
  }
}
/********* end responsive *********/
